#version 330 core

layout(location = 0, index = 0) out vec4 outcol;

uniform sampler2DRect tex_over;
uniform sampler2DRect tex_under;
uniform vec4 opasity;

in vec2 texcoord0;
in vec2 texcoord1;

void main()
{
	vec4 col_over = texture( tex_over, texcoord0 );
	vec4 col_under = texture( tex_under, texcoord1 );

	outcol = mix( vec4(0,0,0,0), col_over, opasity.x ) + col_under;
}
